summaryrefslogtreecommitdiff
path: root/update_stdlib.sh
diff options
context:
space:
mode:
authorVictor Stinner <victor.stinner@gmail.com>2015-01-26 10:52:45 +0100
committerVictor Stinner <victor.stinner@gmail.com>2015-01-26 10:52:45 +0100
commit684f3be00011d3c6cc4f81f5cb61c157e5eb5205 (patch)
tree886f9bbb1d98945db650803971bc72c56cebd142 /update_stdlib.sh
downloadtrollius-git-684f3be00011d3c6cc4f81f5cb61c157e5eb5205.tar.gz
Python issue #23208: Add BaseEventLoop._current_handle
In debug mode, BaseEventLoop._run_once() now sets the BaseEventLoop._current_handle attribute to the handle currently executed. In release mode or when no handle is executed, the attribute is None. BaseEventLoop.default_exception_handler() displays the traceback of the current handle if available.
Diffstat (limited to 'update_stdlib.sh')
-rwxr-xr-xupdate_stdlib.sh70
1 files changed, 70 insertions, 0 deletions
diff --git a/update_stdlib.sh b/update_stdlib.sh
new file mode 100755
index 0000000..0cdbb1b
--- /dev/null
+++ b/update_stdlib.sh
@@ -0,0 +1,70 @@
+#!/bin/bash
+
+# Script to copy asyncio files to the standard library tree.
+# Optional argument is the root of the Python 3.4 tree.
+# Assumes you have already created Lib/asyncio and
+# Lib/test/test_asyncio in the destination tree.
+
+CPYTHON=${1-$HOME/cpython}
+
+if [ ! -d $CPYTHON ]
+then
+ echo Bad destination $CPYTHON
+ exit 1
+fi
+
+if [ ! -f asyncio/__init__.py ]
+then
+ echo Bad current directory
+ exit 1
+fi
+
+maybe_copy()
+{
+ SRC=$1
+ DST=$CPYTHON/$2
+ if cmp $DST $SRC
+ then
+ return
+ fi
+ echo ======== $SRC === $DST ========
+ diff -u $DST $SRC
+ echo -n "Copy $SRC? [y/N/back] "
+ read X
+ case $X in
+ [yY]*) echo Copying $SRC; cp $SRC $DST;;
+ back) echo Copying TO $SRC; cp $DST $SRC;;
+ *) echo Not copying $SRC;;
+ esac
+}
+
+for i in `(cd asyncio && ls *.py)`
+do
+ if [ $i == test_support.py ]
+ then
+ continue
+ fi
+
+ if [ $i == selectors.py ]
+ then
+ if [ "`(cd $CPYTHON; hg branch)`" == "3.4" ]
+ then
+ echo "Destination is 3.4 branch -- ignoring selectors.py"
+ else
+ maybe_copy asyncio/$i Lib/$i
+ fi
+ else
+ maybe_copy asyncio/$i Lib/asyncio/$i
+ fi
+done
+
+for i in `(cd tests && ls *.py *.pem)`
+do
+ if [ $i == test_selectors.py ]
+ then
+ continue
+ fi
+ maybe_copy tests/$i Lib/test/test_asyncio/$i
+done
+
+maybe_copy overlapped.c Modules/overlapped.c